## org.apache.cassandra.cql3.statements
Class CreateIndexStatement

    java.lang.Object
      org.apache.cassandra.cql3.statements.ParsedStatement
          org.apache.cassandra.cql3.statements.CFStatement
              org.apache.cassandra.cql3.statements.SchemaAlteringStatement
                  org.apache.cassandra.cql3.statements.CreateIndexStatement

All Implemented Interfaces:
  CQLStatement

    public class CreateIndexStatement

extends SchemaAlteringStatement

A `CREATE INDEX` statement parsed from a CQL query.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`ParsedStatement.Prepared`

Field Summary

Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement
`cfName`

Constructor Summary
`CreateIndexStatement(CFName name, java.lang.String indexName, ColumnIdentifier columnName)`

Method Summary
`void` `announceMigration()`
`void` `checkAccess(ClientState state)` Perform any access verification necessary for the statement.

Methods inherited from class org.apache.cassandra.cql3.statements.SchemaAlteringStatement
`execute, prepare, prepareKeyspace, validate`

Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement
`columnFamily, keyspace`

Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`getBoundsTerms, setBoundTerms`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cassandra.cql3.CQLStatement
`getBoundsTerms`

Constructor Detail

### CreateIndexStatement

    public CreateIndexStatement(CFName name,
                                java.lang.String indexName,
                                ColumnIdentifier columnName)

Method Detail

### checkAccess

    public void checkAccess(ClientState state)
                     throws InvalidRequestException

  Description copied from interface: `CQLStatement`
  Perform any access verification necessary for the statement.

  Parameters:
    `state` - the current client state
  Throws:
    `InvalidRequestException`

### announceMigration

    public void announceMigration()
                           throws InvalidRequestException,
                                  ConfigurationException

  Specified by:
    `announceMigration` in class `SchemaAlteringStatement`
  Throws:
    `InvalidRequestException`
    `ConfigurationException`

Copyright © 2013 The Apache Software Foundation